/*
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *-----------------------------------------------------------------------------
 * $Id: ResourceManagerEvent.java,v 1.1 2002/02/13 23:36:46 cney Exp $
 *-----------------------------------------------------------------------------
 */
package org.objectweb.transaction.api;

import javax.transaction.Transaction;
import javax.transaction.SystemException;



/**
 * This interface has been introduced to allow late enrolment of connections
 * that are opened in the thread before the transaction starts.
 * Resource Managers that supports this feature may send events implementing this
 * interface to a registered <code>ResourceManagerEventListener<code>.<br>
 * @author Christophe Ney cney@batisseurs.com for Lutris Technologies
 */
public interface ResourceManagerEvent {
    
   /**
    * This method is used by the transaction manager to perform callbacks on the
    * resource manager when a transaction begins.
    * @param transaction The transaction that has started
    * @throws SQLException 
    * @throws RollbackException
    * @throws SystemException
    */
    public void enlistConnection(Transaction transaction) throws SystemException;
    
}
